org.jbpm.ruleflow.core.factory

## Class SubProcessNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.SubProcessNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.SubProcessNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.SubProcessNodeBuilder<T>,T>, org.kie.api.fluent.SubProcessNodeBuilder<T>

      public class SubProcessNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.SubProcessNodeBuilder<T>,T>
      implements org.kie.api.fluent.SubProcessNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubProcessNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SubProcessNode` | `getSubProcessNode()`
    `SubProcessNodeFactory<T>` | `independent(boolean independent)`
    `SubProcessNodeFactory<T>` | `inMapping(String parameterName, String variableName)`
    `org.kie.api.fluent.SubProcessNodeBuilder<T>` | `onEntryAction(org.kie.api.fluent.Dialect dialect, String action)`
    `SubProcessNodeFactory<T>` | `onEntryAction(String dialect, String action)`
    `org.kie.api.fluent.SubProcessNodeBuilder<T>` | `onExitAction(org.kie.api.fluent.Dialect dialect, String action)`
    `SubProcessNodeFactory<T>` | `onExitAction(String dialect, String action)`
    `SubProcessNodeFactory<T>` | `outMapping(String parameterName, String variableName)`
    `SubProcessNodeFactory<T>` | `processId(String processId)`
    `org.kie.api.fluent.SubProcessNodeBuilder<T>` | `timer(String delay, String period, org.kie.api.fluent.Dialect dialect, String action)`
    `SubProcessNodeFactory<T>` | `timer(String delay, String period, String dialect, String action)`
    `SubProcessNodeFactory<T>` | `waitForCompletion(boolean waitForCompletion)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### SubProcessNodeFactory

          public SubProcessNodeFactory(T nodeContainerFactory,
                                       NodeContainer nodeContainer,
                                       long id)

  - ### Method Detail

    - #### getSubProcessNode

          protected SubProcessNode getSubProcessNode()

    - #### processId

          public SubProcessNodeFactory<T> processId(String processId)

      Specified by:
        `processId` in interface `org.kie.api.fluent.SubProcessNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### waitForCompletion

          public SubProcessNodeFactory<T> waitForCompletion(boolean waitForCompletion)

      Specified by:
        `waitForCompletion` in interface `org.kie.api.fluent.SubProcessNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### inMapping

          public SubProcessNodeFactory<T> inMapping(String parameterName,
                                                    String variableName)

      Specified by:
        `inMapping` in interface `org.kie.api.fluent.SubProcessNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### outMapping

          public SubProcessNodeFactory<T> outMapping(String parameterName,
                                                     String variableName)

      Specified by:
        `outMapping` in interface `org.kie.api.fluent.SubProcessNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### independent

          public SubProcessNodeFactory<T> independent(boolean independent)

      Specified by:
        `independent` in interface `org.kie.api.fluent.SubProcessNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### onEntryAction

          public SubProcessNodeFactory<T> onEntryAction(String dialect,
                                                        String action)

    - #### onExitAction

          public SubProcessNodeFactory<T> onExitAction(String dialect,
                                                       String action)

    - #### timer

          public SubProcessNodeFactory<T> timer(String delay,
                                                String period,
                                                String dialect,
                                                String action)

    - #### onEntryAction

          public org.kie.api.fluent.SubProcessNodeBuilder<T> onEntryAction(org.kie.api.fluent.Dialect dialect,
                                                                           String action)

    - #### onExitAction

          public org.kie.api.fluent.SubProcessNodeBuilder<T> onExitAction(org.kie.api.fluent.Dialect dialect,
                                                                          String action)

    - #### timer

          public org.kie.api.fluent.SubProcessNodeBuilder<T> timer(String delay,
                                                                   String period,
                                                                   org.kie.api.fluent.Dialect dialect,
                                                                   String action)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.